<?php
include "../conexion.php";
if(!empty($_GET))
	{
		$comd_id=$_GET["comd_id"];
		$consusql=mysqli_query($con,"SELECT * FROM compra_detalle WHERE comd_id='$comd_id'") or die(mysqli_error($con));
		$row=mysqli_fetch_array($consusql);
		$comd_art_id=$row['comd_art_id'];
		$comd_cantidad=$row['comd_cantidad'];
		$atributo1=$row['atributo1'];
		$atributo2=$row['atributo2'];
		$compras_com_id=$row["compras_com_id"];

		$cana=mysqli_query($con,"SELECT * from articulos_has_bodegas where articulos_art_id='$comd_art_id' and atributo1='$atributo1' and atributo2='$atributo2' ") or die(mysqli_error($con)); 
    	$datoa=mysqli_fetch_array($cana);
    	$art_id_bod=$datoa['art_id'];
    	$art_cantidad=$datoa['art_cantidad'];
    	$resta=$art_cantidad-$comd_cantidad;

		$sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$resta' where art_id='$art_id_bod' and articulos_art_id='$comd_art_id'") or die(mysqli_error($con)); 

		 //seriales
        $can9=mysqli_query($con,"SELECT * FROM seriales_compra where compra_detalle_comd_id ='$comd_id'") or die(mysqli_error($con));  
        while($ser=mysqli_fetch_array($can9))
        {
            $ser_codigo=$ser['ser_codigo'];
           
            $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='eliminado' Where articulos_art_id='$comd_art_id' and se_codigo='$ser_codigo'") or die(mysqli_error($con));
        }

      	$borrar_sql=mysqli_query($con,"DELETE FROM seriales_compra WHERE compra_detalle_comd_id='$comd_id' ") or die(mysqli_error($con));
      	$borrar_sql=mysqli_query($con,"DELETE FROM kardex_compra WHERE kar_com_id='$compras_com_id' and art_id_bod='$art_id_bod' and kar_art_id='$comd_art_id'") or die(mysqli_error($con));
        $borrar_sql=mysqli_query($con,"DELETE FROM compra_detalle WHERE comd_id='$comd_id'") or die(mysqli_error($con));
	}
?>